/**
 *
 * Beschreibung
 *
 * @version 1.0 vom 06.06.2022
 * @author 
 */

public class ConWallet {
  
  public static void main(String[] args) {
    Wallet w = new Wallet("Gerhard", 100);
    String Transaktion = w.erstelleTransaktion("Doris", 9.5);

    // Signieren - Mehrmals ausführen lassen, die Signatur ist kein eindeutiger Wert!
    String Signatur = w.signieren(Transaktion);
    System.out.println("Signatur: " + Signatur);

    // Verifizieren
    String publicKeyBase64 = w.getPublicKeyBase64();
    if (w.verifizieren(Transaktion, publicKeyBase64, Signatur))
      System.out.println("gültige Signatur");
    else
      System.out.println("ungültige Signatur");
  } // end of main

} // end of class ConWallet
